Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.xy
Class Vector

    java.lang.Object
      org.jfree.data.xy.Vector

All Implemented Interfaces:
  java.io.Serializable

    public class Vector

extends java.lang.Object
implements java.io.Serializable

A vector.

Since:
  1.0.6
See Also:
  Serialized Form

Constructor Summary
`Vector(double x, double y)` Creates a new instance of `Vector`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests this vector for equality with an arbitrary object.
`double` | `getAngle()` Returns the angle of the vector.
`double` | `getLength()` Returns the length of the vector.
`double` | `getX()` Returns the x-value.
`double` | `getY()` Returns the y-value.
`int` | `hashCode()` Returns a hash code for this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Vector

    public Vector(double x,
                  double y)

  Creates a new instance of `Vector`.

  Parameters:
    `x` - the x-component.
    `y` - the y-component.

Method Detail

### getX

    public double getX()

  Returns the x-value.

  Returns:
    The x-value.

### getY

    public double getY()

  Returns the y-value.

  Returns:
    The y-value.

### getLength

    public double getLength()

  Returns the length of the vector.

  Returns:
    The vector length.

### getAngle

    public double getAngle()

  Returns the angle of the vector.

  Returns:
    The angle of the vector.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this vector for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` not permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.